# Projects

Incomplete list of my projects and experiments.

- Interactive Fiction Tools
- Games
- Services
- Inventory
  - Hardware
  - Settings
  - Software, Plugins and Tools

## Interactive Fiction Tools

- ElseIFPlayer
  Interactive Fiction player for the web.
  repository | ifwiki | app
- cheap-glkote
  Abstract implementation of the GlkOte library interface designed to be used with Emglken.
  repository | npm

## Games

- DASH DOT PIT
  Endless top-down shooter for TIC-80 where Morse code is your weapon.
  repository | play
- Yet Another Experiment
  Tiny “escape the room” style TADS3 game.
  Designed as a set of examples for Interactive Fiction development.
  repository | ifdb | play

## Services

- Simple SpaceAPI
  A lightweight SpaceAPI server with both web and REST interfaces.
  repository

## Inventory

### Hardware

- Cantor MX Tastatura
  Small custom ergonomic mechanical keyboard.
  repository
- oddkb
  Huge custom ergonomic mechanical Dactyl-Manuform (5×6) keyboard.
  repository

### Settings

- dotfiles
  Custom-made desktop environment based on i3wm.
  It comes with settings for i3wm, Polybar, Rofi, dunst, NeoVim, and some other applications.
  repository

### Software, Plugins and Tools

- desolate.nvim
  Another customizable not-so-colorful NeoVim colorscheme.
  repository
- desolate-gtk
  Another customizable not-so-colorful GTK theme for your tiling WM.
  repository
- tabswitcher
  Switch between Firefox tabs and manage them with a fuzzy search and basic command toolset.
  repository | extension
- tabswiper
  Firefox extension that makes trimming your tabs as effortless as swiping on a dating app.
  repository | extension
- fuzzsoma
  SomaFM CLI station selector.
  repository
- fuzzy-bitwarden-clipboard
  Interactive Bitwarden CLI wrapper.
  repository
- huge-link
  Minimalistic serverless publishing tool for small markdown posts.
  repository | app
- conky-dashboard
  Desktop widgets for system status monitoring.
  repository